Bug 1261692 - slow rendering
slow rendering
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-09 20:50 EDT by Richard Jasmin
Modified: 2016-07-19 13:50 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 13:50:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Jasmin 2015-09-09 20:50:45 EDT
Description of problem:
rendering, you know windowing and screen drawing seems slow on ATI hardware. Direct Rendering is there.TWIN "Sapphire" PITCAIRN PRO 7850.
This is affecting apps too.


Version-Release number of selected component (if applicable):
22

How reproducible:
post install

Steps to Reproduce:
1.install fedora
2.use it for awhile


Actual results:
??

Expected results:
This is 3D accelerated hardware, this shouldnt be happening.
Is Gallium driver bugged?
Comment 1 Richard Jasmin 2015-09-11 04:15:29 EDT
Notes: This world has existed for many a day.
Maybe we need a code review on the following package groups:
LXDM
MATE
KDE
XORG
Gallium driver

TVision gave us a Windowy IDE.(some would calls this ncurses) People demoed the main core of it.BORLAND made good $$ off it. Look back at TC3. I dunno why gcc doesnt have a TUI IDE.There have been others made(RHIDE)...

People modified the Tvision code for graphics(GVision) <-- needs more testing.And for the most part we have been using the same code ever since.BUT HAVE WE? Does GTK/QT rely on this properly defined structure and OOP code? Or does it try to implement it some other way?

THIS IS WHERE EVERYTHING CAME FROM.

Fine seems to implement this somewhat ok, but the issue there is that there is no actual desktop manager and changing the menus is not easy.

Sorry, both the DE and the window manager (marco) seem incredibly slow.My Pentium of yesteryear can slap 100 windows on the screen, remove them all in mili-seconds. My 486 could do it.

So why is my GIGA-HERTZ SUPERCHARGED nearly overclocked system misdrawing and sttutering on this? My screens are tearing.This is just awful.

Maybe file previews need to be turned off? I can live with that.
We sure as hell dont need to exactly emulate windows file search "feature"(malware) when locate and find do the job WAY faster.

We need a SERIOUS LOOK SEE in this department.

I know kernels of late have ATI breakage.Some versions are showing issues beyond source build.We need to reject the code until it works PROPERLY.

3D and wobbly windows are nice(yeah....where is my wobbly windows?)but expensive to write code for.3D is enabled and running. So if we are using it, then WHY is it STUTTERING?

CMON people, I can do this shit in dos.REAL DOS. Why is it so hard in X11? Who bugged what and how do we take thier cookies and embarrass them?

If you want more info I will have to dig up some code, and well it aint written in C, so bear with me.I do have a few cheat sheets conversion units from my days of OS DEV attempts.
Comment 2 Fedora End Of Life 2016-07-19 13:50:44 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.